Bug 435384 - NM applet crashed
NM applet crashed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-28 17:16 EST by Mauricio Pretto
Modified: 2009-01-09 02:41 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:41:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
nm-applet bug report (1.44 KB, text/plain)
2008-02-28 17:16 EST, Mauricio Pretto
no flags Details
lsmod (3.50 KB, text/plain)
2008-03-10 17:51 EDT, Mauricio Pretto
no flags Details
nm-tool (1.30 KB, text/plain)
2008-03-10 17:52 EDT, Mauricio Pretto
no flags Details

  None (edit)
Description Mauricio Pretto 2008-02-28 17:16:05 EST
Description of problem:
When connecting to a local coffee shop my nm-applet crashs.
The dump file goes attached

Version-Release number of selected component (if applicable):

[root@berlin ~]# rpm -qa | grep -i networkmanager
NetworkManager-vpnc-0.7.0-0.6.3.svn3109.fc8
NetworkManager-glib-0.7.0-0.6.7.svn3235.fc8
NetworkManager-openvpn-0.7.0-6.svn3169.fc8
NetworkManager-gnome-0.7.0-0.6.7.svn3235.fc8
NetworkManager-0.7.0-0.6.7.svn3235.fc8
[root@berlin ~]# 

How reproducible:
Always at the coffee shop

Steps to Reproduce:
1. just click in the open wi-fi network
2.
3.
  
Actual results:
nm-applet crashes 

Expected results:
just connect and start working

Additional info:
Its an open network no password or any kind of protection.
Comment 1 Mauricio Pretto 2008-02-28 17:16:05 EST
Created attachment 296277 [details]
nm-applet bug report
Comment 2 Vaclav "sHINOBI" Misek 2008-02-29 17:28:00 EST
Are there any messages in /var/log/messages regarding this problem? Does the
network use hidden SSID? Please also post output from /usr/bin/nm-tool and
lsmod. Do you have SELinux turned on, in enforcing or permissive mode, and what
version
of the selinux-policy-targeted RPM do you have installed?
Comment 3 Mauricio Pretto 2008-02-29 17:40:44 EST
SELinux is disabled
SSID is not hidden

----- /var/log/messages ----------
Feb 28 19:02:52 berlin NetworkManager: <info>  SWITCH: no current connection,
found better connection 'Auto Sagrado_Café (wlan0)'.
Feb 28 19:02:52 berlin NetworkManager: <info>  Activating device wlan0
Feb 28 19:02:52 berlin NetworkManager: <info>  Activation (wlan0) Stage 1 of 5
(Device Prepare) scheduled...
Feb 28 19:02:52 berlin NetworkManager: <info>  Activation (wlan0) Stage 1 of 5
(Device Prepare) started...
Feb 28 19:02:52 berlin NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) scheduled...
Feb 28 19:02:52 berlin NetworkManager: <info>  Activation (wlan0) Stage 1 of 5
(Device Prepare) complete.
Feb 28 19:02:52 berlin NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) starting...
Feb 28 19:02:52 berlin NetworkManager: <info>  Activation (wlan0/wireless):
connection 'Auto Sagrado_Café' requires no security.  No secrets needed.
Feb 28 19:02:52 berlin NetworkManager: <info>  Config: added 'ssid' value
'Sagrado_Café'
Feb 28 19:02:52 berlin NetworkManager: <info>  Config: added 'key_mgmt' value 'NONE'
Feb 28 19:02:52 berlin NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) complete.
Feb 28 19:02:52 berlin NetworkManager: <info>  Config: set interface ap_scan to 1
Feb 28 19:02:52 berlin NetworkManager: <info>  (wlan0) Supplicant interface
state change: 0 -> 2
----------
I Would take a guess that the problem is the ssid name
that have a special character Sagrado_café is the ssid name
 
Comment 4 Vaclav "sHINOBI" Misek 2008-02-29 18:19:47 EST
Yep it looks like. Is the applet really crashing? I'm asking this stupid
question because there are no infos about this crash in the posted nm-applet bug
report file :-).
Comment 5 Mauricio Pretto 2008-02-29 18:25:55 EST
Yep, its crashing, i'm able use the internet at the place by not pressing the
SEND report button in the bug buddy .
When i click that the nm-applet crashes and i have to rerun it .
I can go there again this weekend if you need any further information .
Comment 6 Vaclav "sHINOBI" Misek 2008-02-29 18:39:47 EST
If you can try it again if there'll be more infos in nm-applet bug report it
will be great.
Comment 7 Mauricio Pretto 2008-03-10 17:51:55 EDT
Created attachment 297522 [details]
lsmod
Comment 8 Mauricio Pretto 2008-03-10 17:52:33 EDT
Created attachment 297523 [details]
nm-tool
Comment 9 Mauricio Pretto 2008-03-10 17:54:09 EDT
Attached goes the output of lsmod and nm-tool i hope this can be helpful somehow
, i have applied the last updates from fedora 8 today before trying to connect
to the wireless and the problem persists .

Comment 10 Dan Williams 2008-03-31 12:46:06 EDT
Could you try the latest NetworkManager from f8-updates-testing?

yum --enablerepo=updates-testing update NetworkManager NetworkManager-gnome

I'll test out with that SSID too and see if I can reproduce the issue.
Comment 11 Dan Williams 2008-03-31 14:14:29 EDT
Don't both with comment #10, found the issue and fixed in in SVN.  Should show
up in F8-updates-testing soon.  Thanks!  applet r637
Comment 12 Bug Zapper 2008-11-26 04:58:18 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-01-09 02:41:07 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.